Last Comment Bug 739639 - forwarding message puts cursor at end instead of beginning
: forwarding message puts cursor at end instead of beginning
Status: RESOLVED FIXED
: qawanted, regression
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mike Conley (:mconley) - (needinfo me!)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:02 PDT by Jonathan Kamens
Modified: 2015-10-07 18:40 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
+
fixed


Attachments
Patch v1 (2.12 KB, patch)
2012-05-02 07:14 PDT, Mike Conley (:mconley) - (needinfo me!)
mozilla: review+
mozilla: approval‑comm‑aurora+
mozilla: approval‑comm‑beta+
Details | Diff | Review

Description Jonathan Kamens 2012-03-27 09:02:56 PDT
With nightly just updated from HG, if you forward a message inline the cursor starts at the end of the text in the forward compose window.

With TB 11 it is positioned at the beginning, above the forward, as it's supposed to be.
Comment 1 Jonathan Kamens 2012-05-01 14:54:31 PDT
This bug is now in the Thunderbird 13 beta. It's a regression. Surely it needs to be fixed before it gets shipped? Is somebody looking at it?
Comment 2 Wayne Mery (:wsmwk, NI for questions) 2012-05-02 05:25:33 PDT
Joe, do you have a version 11 or 12 to compare?

It does start at the end with current nightly.
Comment 3 Joe Sabash [:JoeS1] 2012-05-02 06:39:05 PDT
I have an oldish V11 handy here:
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111125 Thunderbird/11.0a1
Works as expected on tabbing into the body.
Cursor at the top.
My guess is this is a Editor core change though.
I can test further this evening.
Comment 4 Mike Conley (:mconley) - (needinfo me!) 2012-05-02 07:14:08 PDT
Created attachment 620304 [details] [diff] [review]
Patch v1

This regression got introduced when Filelink landed, because we wanted to wrap inline forwards in a DIV to make inserting URLs sane.  It looks like our logic for setting the selection was out of order.

This patch fixes that, and I've added a regression test.
Comment 5 Mike Conley (:mconley) - (needinfo me!) 2012-05-02 07:15:13 PDT
(This bug affects TB 13+)
Comment 6 David :Bienvenu 2012-05-02 08:56:54 PDT
Forward wants to end up with the cursor in the To: field, doesn't it, so this bug is really about where the cursor will go after you tab out of the To: field. In any case, this does fix it, thx!
Comment 7 David :Bienvenu 2012-05-02 09:02:29 PDT
Comment on attachment 620304 [details] [diff] [review]
Patch v1

[Triage Comment]

Note You need to log in before you can comment on or make changes to this bug.